package cn.stylefeng.guns.zjxl.model.ret;

/***
 * @ClassName: BannerCompanyCaseRet
 * @Description: banner 和 CompanyCase 的返回值
 * @Auther: shi kejing
 * @Date: 2020/11/2 9:49
 */
//查询多张表返回数据，需要考虑返回结果是否有重复参数
public class BannerCompanyCaseRet {
    private String bannerId;

    private String bannerName;

    private String bannerImage;

    private Integer bannerType;

    private String bannerTypeUrl;

    private Integer bannerSort;

    private Integer bannerIsLine;

    private String companyId;

    private String companyName;

    private String companyDescribe;

    private String companyDefaultImg;

    private String companyExchangeImg;

    private String companyAssociatedCase;

    private String companyJumpUrl;

    private int companySort;

    private int companyIsLine;

    private int companyTestBannerId;

    public String getBannerId() {
        return bannerId;
    }

    public void setBannerId(String bannerId) {
        this.bannerId = bannerId;
    }

    public String getBannerName() {
        return bannerName;
    }

    public void setBannerName(String bannerName) {
        this.bannerName = bannerName;
    }

    public String getBannerImage() {
        return bannerImage;
    }

    public void setBannerImage(String bannerImage) {
        this.bannerImage = bannerImage;
    }

    public Integer getBannerType() {
        return bannerType;
    }

    public void setBannerType(Integer bannerType) {
        this.bannerType = bannerType;
    }

    public String getBannerTypeUrl() {
        return bannerTypeUrl;
    }

    public void setBannerTypeUrl(String bannerTypeUrl) {
        this.bannerTypeUrl = bannerTypeUrl;
    }

    public Integer getBannerSort() {
        return bannerSort;
    }

    public void setBannerSort(Integer bannerSort) {
        this.bannerSort = bannerSort;
    }

    public Integer getBannerIsLine() {
        return bannerIsLine;
    }

    public void setBannerIsLine(Integer bannerIsLine) {
        this.bannerIsLine = bannerIsLine;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCompanyDescribe() {
        return companyDescribe;
    }

    public void setCompanyDescribe(String companyDescribe) {
        this.companyDescribe = companyDescribe;
    }

    public String getCompanyDefaultImg() {
        return companyDefaultImg;
    }

    public void setCompanyDefaultImg(String companyDefaultImg) {
        this.companyDefaultImg = companyDefaultImg;
    }

    public String getCompanyExchangeImg() {
        return companyExchangeImg;
    }

    public void setCompanyExchangeImg(String companyExchangeImg) {
        this.companyExchangeImg = companyExchangeImg;
    }

    public String getCompanyAssociatedCase() {
        return companyAssociatedCase;
    }

    public void setCompanyAssociatedCase(String companyAssociatedCase) {
        this.companyAssociatedCase = companyAssociatedCase;
    }

    public String getCompanyJumpUrl() {
        return companyJumpUrl;
    }

    public void setCompanyJumpUrl(String companyJumpUrl) {
        this.companyJumpUrl = companyJumpUrl;
    }

    public int getCompanySort() {
        return companySort;
    }

    public void setCompanySort(int companySort) {
        this.companySort = companySort;
    }

    public int getCompanyIsLine() {
        return companyIsLine;
    }

    public void setCompanyIsLine(int companyIsLine) {
        this.companyIsLine = companyIsLine;
    }

    public int getCompanyTestBannerId() {
        return companyTestBannerId;
    }

    public void setCompanyTestBannerId(int companyTestBannerId) {
        this.companyTestBannerId = companyTestBannerId;
    }
}
